@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@600;700&display=swap');

html,
body{
   margin: 0;
   max-height: 100vh;
   height: 100vh;
   overflow: hidden;
   background-color: #000;
  /* background-image: url("ic_loading_bg.png");
   background-size: cover; */
   /* background-color: #231F20;*/
   /*background-color: #231F20;*/
   background-position: center top;
   /*background-size: cover;*/
   background-repeat: no-repeat;
   position: relative;
   width: 100vw;
   -webkit-tap-highlight-color: transparent;
   /*font-family: 'Open Sans', sans-serif;*/
}

html,
body,
#main-container,
#unity-container,
#unity-canvas {
   width: 100%;
   height: 100%;
}

body.Dark{
   color:white;
}
body.Light{
   color:black;  
}
#main-container{
   display: block;
   position: absolute;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
}

#unity-container{
   position: absolute;
   overflow: hidden;
   background: #000;
}

#main-container.fill-window{
   width: 100%;
   height: 100%;
   margin: 0;
}
#app-container, #unity-canvas{
   width: 100%;
   height: 100%;
   margin: 0;
   position: relative;
}

.loader{
	padding: 0px;
	position: absolute;
	height: 100vh;
	width: 100vw;
	background-color: #f0f0f1;
	
   /* width: 100%;
   height: 100%;
   margin: 0;
   position: absolute;
   display: block; */
   top: 0;
   bottom: 0;
   right: 0;
   left: 0;
   text-align: center;
   background-image: url("ic_loading_bg.png");
   background-size: cover;
}
.container{
   width: 100vw;
   margin:0 auto;
   text-align: left;
   padding-top: 30vh; 
   
   
}
.logo{
   width: auto;
   max-width: 100%;
   margin: 50px auto;
   margin-left: 10%;
   max-height: 100%;
}
.loadText{
   right: 40%;
   bottom: 0vh;
    position: absolute;
    text-align: center;
   width: 300px;
height: 36px;
font-family: Source Han Sans CN, Source Han Sans CN;
font-weight: 400;
font-size: 18px;
color: #FFFFFF;
line-height: 36px;
letter-spacing: 3px;
font-style: normal;
text-transform: none;
}
.progressbar{
   padding: 1px;
   left: 0;
   border: 1px solid #333;
   border-radius: 10px;
}
.Dark .progressbar{
   border: 1px solid white;
}
.fill{
   height:6px;
   background: #333;
   display: block;
   border-radius: 10px;
   transition-property: width;
   transition-duration: 1s;
}
.Dark .fill{
   background: white;
}
/* .center {
   overflow: hidden;
   margin: 20px auto 0;
   padding: 20px;
   
}
 */
#progressBar, #warningBrowserBlock, #warningMobileBlock, #errorContent {
    height: 14vh;
    width: 40vw;
    margin: auto;
    text-align: center;
}

#progressBar {
   height: 16vh;
   
	width: 100%;
	position: absolute; 
	bottom: 0;
}

.centered {
   height: 1.3vh;
   width: 100%;
   margin-left: auto;
   margin-right: auto;
   position: absolute;
   bottom: 0;
 }
#emptyBar {
    background: url("ic_loading_01.png")  right;
    width: 100%;
    height: 1vh;
    display: inline-block;
    position: absolute;
    bottom: 0;
    right: 0%;
}

#fullBar {
    background: url("ic_loading_02.png")  right;
    float: left;
    width: 100%;
    height: 1vh;
    display: inline-block;
    position: absolute;
    bottom: 0;
    left: 0;
}

.footer-cont{
   position:fixed;
   bottom:0;
   left:0;
   right:0;
   text-align: center;
   color:#0A7B9C;
   font-size: 1.5vw;
}
h1{
   padding-bottom: 10px;
   border-bottom: 1px solid #333;
}

.Dark h1{
   border-bottom: 1px solid white;
}

.logo-cont, .title-cont{
   float:left;
   display: block;
}
.logo-cont{
   width: 25%;
}
.title-cont{
   width: 70%;
   margin-left: 2%;
}
.button{
   width:50px;
   height: 50px;
   text-align: center;
   cursor: pointer;
}
.floattopRight {
   display: block;
   position: fixed;
   top: 0;
   right: 0;
}
.floatbottomLeft {
   display: block;
   position: fixed;
   right: 0;
   bottom: 0;
}
span.imgbutton{
   width: 49px;
   height: 49px;
   display: block;
   position: relative;
   background-position: center center;
   background-repeat: no-repeat;
   background-size: contain;
}
.fullscreenON .imgbutton{
   background-image: url("fullscreenON.png") ;
    height: 30px;
    width: 30px;
    position: absolute;
    z-index: 1;
    bottom: 5px;
    right: 5px;
    background-color: transparent;
    background-size: 30px 30px;
    border: none;
    cursor: pointer;
}
.fullscreenOFF .imgbutton{
   background-image: url("fullscreenOFF.png") ;
    height: 30px;
    width: 30px;
    position: absolute;
    z-index: 1;
    bottom: 5px;
    right: 5px;
    background-color: transparent;
    background-size: 30px 30px;
    border: none;
    cursor: pointer;
}
